# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Mixed Content Blocker
# LOCALIZATION NOTE: "%1$S" is the URI of the blocked mixed content resource
BlockMixedDisplayContent = Menyekat memuat kandungan paparan bercampur "%1$S"
BlockMixedActiveContent = Menyekat memuat kandungan aktif bercampur "%1$S"

# CORS
# LOCALIZATION NOTE: Do not translate "Access-Control-Allow-Origin", Access-Control-Allow-Credentials, Access-Control-Allow-Methods, Access-Control-Allow-Headers
CORSDisabled=Permintaan Asalan-Silang Disekat: Polisi Asalan Sama tidak membolehkan membaca sumber jauh di %1$S. (Alasan: CORS dinyahdayakan).
CORSOriginHeaderNotAdded=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan membaca sumber jauh di %1$S. (Alasan: ‘Origin’ pengepala CORS tidak boleh ditambah).
CORSExternalRedirectNotAllowed=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan membaca sumber jauh di %1$S. (Alasan: hala semula permintaan luaran CORS tidak dibenarkan).
CORSRequestNotHttp=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: CORS meminta bukan http).
CORSMultipleAllowOriginNotAllowed=Permintaan Asal-Silang Disekat: Polisi Asal Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: Berbilang pengepala ‘Access-Control-Allow-Origin’ CORS tidak dibenarkan.
CORSAllowOriginNotMatchingOrigin=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: pengepala ‘Access-Control-Allow-Origin’ CORS tidak sepadan ‘%2$S’).
CORSNotSupportingCredentials=Permintaan Asalan-Silang Disekat: Polisi Asalan Sama tidak membenarkan membaca sumber jauh di  ‘%1$S’. (Alasan: Credential tidak disokong jika pengepala CORS ‘Access-Control-Allow-Origin’ is ‘*’).
CORSMethodNotFound=Cross-Origin Request Disekat: Polisi Asalan Sama tidak membenarkan sumber remote di %1$S dibaca. (Alasan: Tiada kaedah yang ditemui dalam pengepala ‘Access-Control-Allow-Methods’ CORS).
CORSMissingAllowCredentials=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: jangkaan ‘benar’ dalam pengepala ‘Access-Control-Allow-Credentials’ CORS).
CORSInvalidAllowMethod=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: token ‘%2$S’ tidak sah dalam pengepala ‘Access-Control-Allow-Methods’ CORS).
CORSInvalidAllowHeader=Permintaan Asalan-silang Disekat: Polisi Asalan Sama tidak membenarkan sumber jauh di %1$S dibaca. (Alasan: token ‘%2$S’ tidak sah dalam pengepala ‘Access-Control-Allow-Headers’ CORS).

# LOCALIZATION NOTE: Do not translate "Strict-Transport-Security", "HSTS", "max-age" or "includeSubDomains"
STSUnknownError=Strict-Transport-Security: Ada ralat yang tidak diketahui semasa memproses pengepala yang ditetapkan oleh laman ini.
STSUntrustworthyConnection=Strict-Transport-Security: Sambungan ke laman ini tidak boleh dipercayai, maka pengepala yang dinyatakan telah diabaikan.
STSCouldNotParseHeader=Strict-Transport-Security: Laman ini menyatakan pengepala yang tidak berjaya dihurai.
STSNoMaxAge=Strict-Transport-Security: Laman ini menyatakan pengepala yang idak mengandungi direktif ‘max-age’.
STSMultipleMaxAges=Strict-Transport-Security: Laman ini  menyatakan pengepala yang mengandungi pelbagai direktif ‘max-age’.
STSInvalidMaxAge=Strict-Transport-Security: Laman ini menyatakan pengepala yang mengandungi direktif ‘max-age’ yang tidak sah.
STSMultipleIncludeSubdomains=Strict-Transport-Security: Laman ini menyatakan pengepala yang mengandungi pelbagai direktif ‘includeSubDomains’.
STSInvalidIncludeSubdomains=Strict-Transport-Security: Laman ini menyatakan pengepala yang mengandungi direktif ‘includeSubDomains’ yang tidak sah.
STSCouldNotSaveState=Strict-Transport-Security: Ada ralat mencatat laman ini sebagai hos Strict-Transport-Security.

InsecurePasswordsPresentOnPage=Medan kata laluan dipersembahkan pada laman (http://) yang tidak selamat. Ini merupakan risiko keselamatan yang membenarkan kelayakan pengguna log masuk dicuri.
InsecureFormActionPasswordsPresent=Medan kata laluan dipersembahkan pada laman (http://) yang tidak selamat. Ini merupakan risiko keselamatan yang membenarkan kelayakan pengguna log masuk dicuri.
InsecurePasswordsPresentOnIframe=Medan kata laluan dipersembahkan pada iframe (http://) yang tidak selamat. Ini merupakan risiko keselamatan yang membenarkan kelayakan pengguna log masuk dicuri.
# LOCALIZATION NOTE: "%1$S" is the URI of the insecure mixed content resource
LoadingMixedActiveContent2=Memuatkan kandungan aktif bercampur (tidak selamat) pada laman selamat "%1$S"
LoadingMixedDisplayContent2=Memuatkan kandungan paparan bercampur (tidak selamat) pada laman selamat "%1$S"

# LOCALIZATION NOTE: Do not translate "allow-scripts", "allow-same-origin", "sandbox" or "iframe"
BothAllowScriptsAndSameOriginPresent=Untuk iframe yang mempunyai kedua-dua skrip membenarkan dan membolehkan-sama-asal untuk atribut sandbox yang boleh mengalih keluar dengan sandboxing.

# Sub-Resource Integrity
# LOCALIZATION NOTE: Do not translate "script" or "integrity". "%1$S" is the invalid token found in the attribute.
MalformedIntegrityHash=Elemen script mengandungi cincang yang rosak dalam atribut integrity “%1$S”. Format yang betul ialah “<hash algorithm>-<hash value>”.
# LOCALIZATION NOTE: Do not translate "integrity"
InvalidIntegrityLength=Cincang yang terkandung dalam atribut integrity tersalah panjang.
# LOCALIZATION NOTE: Do not translate "integrity"
InvalidIntegrityBase64=Cincang yang terkandung dalam atribut integrity tidak boleh dinyahkod.
# LOCALIZATION NOTE: Do not translate "integrity". "%1$S" is the type of hash algorithm in use (e.g. "sha256").
IntegrityMismatch=Tiada cincang “%1$S” dalam atribut integrity yang sepadan dengan kandungan sub-sumber.
# LOCALIZATION NOTE: "%1$S" is the URI of the sub-resource that cannot be protected using SRI.
IneligibleResource=“%1$S” tidak layak untuk semakan integriti kerana CORS-samada tidak didayakan atau tidak sama-asal.
# LOCALIZATION NOTE: Do not translate "integrity". "%1$S" is the invalid hash algorithm found in the attribute.
UnsupportedHashAlg=Algoritma hash dalam atribut integrity tidak disokong: “%1$S”
# LOCALIZATION NOTE: Do not translate "integrity"
NoValidMetadata=Atribut integrity tidak mengandungi sebarang metadata yang sah.

# LOCALIZATION NOTE: Do not translate "RC4".
WeakCipherSuiteWarning=Laman ini menggunakan sifer RC4 untuk enkripsi, yang tidak sesuai dan tidak selamat.

# LOCALIZATION NOTE: Do not translate "X-Content-Type-Options" and also do not trasnlate "nosniff".
XCTOHeaderValueMissing=Amaran pengepala X-Content-Type-Options: nilainya ialah “%1$S”; adakah anda bermaksud mahu menghantar “nosniff”?

# LOCALIZATION NOTE: Do not translate "data: URI".
BlockTopLevelDataURINavigation=Navigasi ke data tahaptinggi: URI tidak dibenarkan (Sekat memuat: “%1$S”)
BlockSubresourceRedirectToData=Melencong ke data tidak selamat: URI tidak diizinkan (Menyekat memuatkan: “%1$S”)

BlockSubresourceFTP=Memuatkan subresource FTP dalam halaman http(s) tidak diizinkan (Pemuatan disekat: “%1$S”)

# LOCALIZATION NOTE (RunningClearSiteDataValue):
# %S is the URI of the resource whose data was cleaned up
RunningClearSiteDataValue=Pengepala Clear-Site-Data memaksa pembersihan data “%S”.
UnknownClearSiteDataValue=Pengepala Clear-Site-Data ditemui. Nilai tidak diketahui “%S”.

FeaturePolicyUnsupportedFeatureName=Polisi Ciri: Melangkau ciri nama “%S” yang tidak disokong.
# TODO: would be nice to add a link to the Feature-Policy MDN documentation here. See bug 1449501
FeaturePolicyInvalidEmptyAllowValue= Polisi Ciri: Melangkau senarai kosong dibenarkan untuk ciri: “%S”.
# TODO: would be nice to add a link to the Feature-Policy MDN documentation here. See bug 1449501
FeaturePolicyInvalidAllowValue=Polisi Ciri: Melangkau nilai “%S” dibenarkan yang tidak disokong.


CORSDidNotSucceed2=Cross-Origin Request Blocked: The Same Origin Policy disallows reading the remote resource at %1$S. (Reason: CORS request did not succeed). Status code: %2$S.
CORSMissingAllowOrigin2=Cross-Origin Request Blocked: The Same Origin Policy disallows reading the remote resource at %1$S. (Reason: CORS header ‘Access-Control-Allow-Origin’ missing). Status code: %2$S.
CORSPreflightDidNotSucceed3=Cross-Origin Request Blocked: The Same Origin Policy disallows reading the remote resource at %1$S. (Reason: CORS preflight response did not succeed). Status code: %2$S.
CORSMissingAllowHeaderFromPreflight2=Cross-Origin Request Blocked: The Same Origin Policy disallows reading the remote resource at %1$S. (Reason: header ‘%2$S’ is not allowed according to header ‘Access-Control-Allow-Headers’ from CORS preflight response).
LoadingMixedDisplayObjectSubrequestDeprecation=Loading mixed (insecure) content “%1$S” within a plugin on a secure page is discouraged and will be blocked soon.
# LOCALIZATION NOTE: "%S" is the URI of the insecure mixed content download
MixedContentBlockedDownload = Blocked downloading insecure content “%S”.
# LOCALIZATION NOTE: Do not translate "allow-top-navigation-by-user-activation", "allow-top-navigation", "sandbox" or "iframe"
BothAllowTopNavigationAndUserActivationPresent=An iframe which has both allow-top-navigation and allow-top-navigation-by-user-activation for its sandbox attribute will permit top navigations.
DeprecatedTLSVersion2=This site uses a deprecated version of TLS. Please upgrade to TLS 1.2 or 1.3.
#XCTO: nosniff
# LOCALIZATION NOTE: Do not translate "X-Content-Type-Options: nosniff".
MimeTypeMismatch2=The resource from “%1$S” was blocked due to MIME type (“%2$S”) mismatch (X-Content-Type-Options: nosniff).
# LOCALIZATION NOTE: Do not translate "X-Content-Type-Options" and also do not translate "nosniff".
XTCOWithMIMEValueMissing=The resource from “%1$S” was not rendered due to an unknown, incorrect or missing MIME type (X-Content-Type-Options: nosniff).
BlockScriptWithWrongMimeType2=Script from “%1$S” was blocked because of a disallowed MIME type (“%2$S”).
WarnScriptWithWrongMimeType=The script from “%1$S” was loaded even though its MIME type (“%2$S”) is not a valid JavaScript MIME type.
# LOCALIZATION NOTE: Do not translate "importScripts()"
BlockImportScriptsWithWrongMimeType=Loading script from “%1$S” with importScripts() was blocked because of a disallowed MIME type (“%2$S”).
BlockWorkerWithWrongMimeType=Loading Worker from “%1$S” was blocked because of a disallowed MIME type (“%2$S”).
BlockModuleWithWrongMimeType=Loading module from “%1$S” was blocked because of a disallowed MIME type (“%2$S”).
RestrictBrowserEvalUsage=eval() and eval-like uses are not allowed in the Parent Process or in System Contexts (Blocked usage in “%1$S”)
# LOCALIZATION NOTE (MixedContentAutoUpgrade):
# %1$S is the URL of the upgraded request; %2$S is the upgraded scheme.
MixedContentAutoUpgrade=Upgrading insecure display request ‘%1$S’ to use ‘%2$S’
# Reporting API
ReportingHeaderInvalidJSON=Reporting Header: invalid JSON value received.
ReportingHeaderInvalidNameItem=Reporting Header: invalid name for group.
ReportingHeaderDuplicateGroup=Reporting Header: ignoring duplicated group named “%S”.
ReportingHeaderInvalidItem=Reporting Header: ignoring invalid item named “%S”.
ReportingHeaderInvalidEndpoint=Reporting Header: ignoring invalid endpoint for item named “%S”.
# LOCALIZATION NOTE(ReportingHeaderInvalidURLEndpoint): %1$S is the invalid URL, %2$S is the group name
ReportingHeaderInvalidURLEndpoint=Reporting Header: ignoring invalid endpoint URL “%1$S” for item named “%2$S”.
# LOCALIZATION NOTE: "%1$S" is the limitation length (bytes) of referrer URI, "%2$S" is the origin of the referrer URI.
ReferrerLengthOverLimitation=HTTP Referrer header: Length is over “%1$S” bytes limit - stripping referrer header down to origin: “%2$S”
# LOCALIZATION NOTE: "%1$S" is the limitation length (bytes) of referrer URI, "%2$S" is the origin of the referrer URI.
ReferrerOriginLengthOverLimitation=HTTP Referrer header: Length of origin within referrer is over “%1$S” bytes limit - removing referrer with origin “%2$S”.
# LOCALIZATION NOTE: Do not translate "no-referrer-when-downgrade", "origin-when-cross-origin" and "unsafe-url". %S is the URI of the loading channel.
ReferrerPolicyDisallowRelaxingWarning=Referrer Policy: Less restricted policies, including ‘no-referrer-when-downgrade’, ‘origin-when-cross-origin’ and ‘unsafe-url’, will be ignored soon for the cross-site request: %S
# LOCALIZATION NOTE: %1$S is the ignored referrer policy, %2$S is the URI of the loading channel.
ReferrerPolicyDisallowRelaxingMessage=Referrer Policy: Ignoring the less restricted referrer policy “%1$S” for the cross-site request: %2$S
# X-Frame-Options
# LOCALIZATION NOTE(XFrameOptionsInvalid): %1$S is the header value, %2$S is frame URI. Do not translate "X-Frame-Options".
XFrameOptionsInvalid = Invalid X-Frame-Options header was found when loading “%2$S”: “%1$S” is not a valid directive.
# LOCALIZATION NOTE(XFrameOptionsDeny): %1$S is the header value, %2$S is frame URI and %3$S is the parent document URI. Do not translate "X-Frame-Options".
XFrameOptionsDeny=The loading of “%2$S” in a frame is denied by “X-Frame-Options“ directive set to “%1$S“.
# HTTPS-Only Mode
# LOCALIZATION NOTE: %1$S is the URL of the upgraded request; %2$S is the upgraded scheme.
HTTPSOnlyUpgradeRequest = Upgrading insecure request “%1$S” to use “%2$S”.
# LOCALIZATION NOTE: %1$S is the URL of request.
HTTPSOnlyNoUpgradeException = Not upgrading insecure request “%1$S” because it is exempt.
# LOCALIZATION NOTE: %1$S is the URL of the failed request; %2$S is an error-code.
HTTPSOnlyFailedRequest = Upgrading insecure request “%1$S” failed. (%2$S)
# LOCALIZATION NOTE: %S is the URL of the failed request;
HTTPSOnlyFailedDowngradeAgain = Upgrading insecure request “%S” failed. Downgrading to “http” again.
# LOCALIZATION NOTE: Hints or indicates a new transaction for a URL is likely coming soon. We use
# a speculative connection to start a TCP connection so that the resource is immediately ready
# when the transaction is actually submitted. HTTPS-Only and HTTPS-First will upgrade such
# speculative TCP connections from http to https.
# %1$S is the URL of the upgraded speculative TCP connection; %2$S is the upgraded scheme.
HTTPSOnlyUpgradeSpeculativeConnection = Upgrading insecure speculative TCP connection “%1$S” to use “%2$S”.
# LOCALIZATION NOTE: %S is the URL of the blocked request;
IframeSandboxBlockedDownload = Download of “%S” was blocked because the triggering iframe has the sandbox flag set.
# LOCALIZATION NOTE: %S is the URL of the blocked request;
SandboxBlockedCustomProtocols = Blocked navigation to custom protocol “%S” from a sandboxed context.
# Sanitizer API
# LOCALIZATION NOTE: Please do not localize "DocumentFragment". It's the name of an API.
SanitizerRcvdNoInput = Received empty or no input. Returning an empty DocumentFragment.
# LOCALIZATION NOTE: "Sanitizer" is the name of the API. Please do not localize.
SanitizerOptionsDiscarded = Options for the Sanitizer constructor are not yet supported. Please note this is experimental behavior.
